#!/usr/bin/tclsh
-# $Id: robot.tcl,v 1.25 2001/11/07 11:50:07 adam Exp $
+# $Id: robot.tcl,v 1.26 2001/11/08 13:49:06 adam Exp $
#
proc RobotFileNext1 {area lead} {
# puts "RobotFileNext1 area=$area lead=$lead"
foreach c $surllist {
switch -- $c {
.. {
- if {$pathl > 0} {
+ if {$pathl > 1} {
incr pathl -2
set path [lrange $path 0 $pathl]
incr pathl
}
}
}
- if {$pathl} {
- set path [join $path /]
- } else {
- set path ""
+ if {$debuglevel > 4} {
+ puts "pathl=$pathl output path=$path"
+ }
+ set path [join $path /]
+ if {![string length $path]} {
+ set path /
}
regsub -all {~} $path {%7E} path
set href "$method://$host$path"
set workdir [pwd]
set idletime 60000
set acceptLanguage {}
+set debuglevel 0
-set i 0
-set l [llength $argv]
-
-if {$l < 2} {
- puts {tclrobot: usage:}
- puts {tclrobot [-j jobs] [-i idle] [-c count] [-d domain] [-r rules] [url ..]}
- puts " Example: -c 3 -d '*.dk' http://www.indexdata.dk/"
- exit 1
-}
# Rules: allow, deny, url
-set debuglevel 0
proc checkrule {type this} {
global alrules
# Parse options
+set i 0
+set l [llength $argv]
+
+if {$l < 2} {
+ puts {tclrobot: usage:}
+ puts {tclrobot [-j jobs] [-i idle] [-c count] [-d domain] [-r rules] [url ..]}
+ puts " Example: -c 3 -d '*.dk' http://www.indexdata.dk/"
+
+ exit 1
+}
while {$i < $l} {
set arg [lindex $argv $i]
switch -glob -- $arg {
RobotStart
+
while {$robotsRunning} {
vwait robotsRunning
}